curl --request GET \
--url https://api.aisa.one/apis/v1/tikhub/douyin/app/v3/fetch_video_statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tikhub/douyin/app/v3/fetch_video_statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tikhub/douyin/app/v3/fetch_video_statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"request_id": "<string>",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "<string>",
"time_stamp": 123,
"time_zone": "America/Los_Angeles",
"docs": "<string>",
"cache_message": "This response is cached and accessible via the URL below for 24 hours at no extra cost. The cache is for request tracing only — it doesn't affect the API's data freshness and won't be returned through the API again.",
"cache_message_zh": "本次响应已缓存,可通过下方 URL 直接查看,有效期 24 小时,访问缓存链接无额外费用。缓存仅用于请求溯源,不影响接口数据的时效性,也不会再次通过接口返回。",
"cache_url": "<string>",
"router": "",
"params": {},
"data": "<unknown>"
}Get the statistical data of the Post according to the video ID (like count, download count, play count, share count)
Get the statistical data of the Post according to the video ID (like count, download count, play count, share count)
code is 200.
Example
curl "https://api.aisa.one/apis/v1/tikhub/douyin/app/v3/fetch_video_statistics?aweme_ids=7448118827402972455,7126745726494821640" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
AIsa API key. Get yours at https://aisa.one
Query Parameters
作品id/Video id
Response
Successful Response
HTTP status code | HTTP状态码
Unique request identifier | 唯一请求标识符
Response message (EN-US) | 响应消息 (English)
Response message (ZH-CN) | 响应消息 (中文)
Support message | 支持消息
The time the response was generated | 生成响应的时间
The timestamp the response was generated | 生成响应的时间戳
The timezone of the response time | 响应时间的时区
Link to the API Swagger documentation for this endpoint | 此端点的 API Swagger 文档链接
Cache message (EN-US) | 缓存消息 (English)
Cache message (ZH-CN) | 缓存消息 (中文)
The URL to access the cached result | 访问缓存结果的 URL
The endpoint that generated this response | 生成此响应的端点
The parameters used in the request | 请求中使用的参数
The response data | 响应数据